Bug 1744419 - Replace /etc/rc.d/init.d/httpd by systemctl
Summary: Replace /etc/rc.d/init.d/httpd by systemctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: w3c-markup-validator
Version: 33
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-22 07:06 UTC by Jan Kratochvil
Modified: 2020-12-04 19:51 UTC (History)
3 users (show)

Fixed In Version: w3c-markup-validator-1.3-19.fc32 w3c-markup-validator-1.3-20.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-03 01:41:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Kratochvil 2019-08-22 07:06:32 UTC
Description of problem:
Scripts are obsolete.

Version-Release number of selected component (if applicable):
w3c-markup-validator-1.3-16.fc30.noarch

How reproducible:
Always.

Steps to Reproduce:
1. dnf install w3c-markup-validator
2. Access http://localhost/w3c-validator/

Actual results:
File not found.

Expected results:
Validator.

Additional info:
.spec scripts are calling:
  /etc/rc.d/init.d/httpd reload
They should call:
  systemctl try-reload-or-restart httpd

Comment 1 Ben Cotton 2020-04-30 21:18:26 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Kratochvil 2020-05-01 21:14:14 UTC
w3c-markup-validator-1.3-17.fc31.noarch

Comment 3 Ben Cotton 2020-11-03 15:32:41 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 18:06:56 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Fedora Update System 2020-11-24 23:02:09 UTC
FEDORA-2020-2bd3082277 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2bd3082277

Comment 6 Fedora Update System 2020-11-24 23:02:10 UTC
FEDORA-2020-be46672d5f has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-be46672d5f

Comment 7 Fedora Update System 2020-11-25 01:19:54 UTC
FEDORA-2020-2bd3082277 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2bd3082277`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2bd3082277

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-25 02:12:24 UTC
FEDORA-2020-be46672d5f has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-be46672d5f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-be46672d5f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-12-03 01:41:45 UTC
FEDORA-2020-2bd3082277 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-12-04 19:51:50 UTC
FEDORA-2020-be46672d5f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.